Subject: bug#39339: 26.3; set-fontset-font does not replace some glyphs

From: [email-masked]
Date: Thu, 30 Jan 2020 15:06:55 +0900

Eli Zaretskii <[email-masked]> writes:

>> From: [email-masked]
>> Date: Wed, 29 Jan 2020 12:55:31 +0900
>> 
>> I installed Noto fonts, and tried to set up fontset composed of
>> "Noto Sans Mono" and "Noto Sans Mono CJK JP Regular".
>> For some characters "Noto Sans Mono CJK JP Regular" has wide glyphs.
>> 
>> Evaluating the form below, only characters
>>   #x00A7 #x00B1 #x00B6 #x00D7 #x00F7 #x02C7 #x02C9 #x02CA #x02CB #x02D9
>> are displayed with wide glyphs,
>> and other characters listed in the form are displayed with narrow glyphs.
>> 
>> (let ((base-font "Noto Sans Mono")
>>       (alt-font "Noto Sans Mono CJK JP Regular")
>>       (l '(#x00A7 #x00B1 #x00B6 #x00D7 #x00F7
>>                   #x02C7 #x02C9 #x02CA #x02CB #x02D9
>>                   #x2015 #x2016 #x2020 #x2021 #x2025 #x2027 #x2030
>>                   #x2035 #x203B #x2042 #x2051
>>                   #x2100 #x2103 #x2105 #x2109 #x210A #x210F #x2116
>>                   #x2121 #x2126 #x2127 #x212B #x2135 #x213B
>>                   #x221A #x221E #x2229 #x2248 #x2261 #x2264 #x2265
>>                   (#x2500 . #x25A0))))
>>   (set-frame-font base-font)
>>   (dolist (c l) (set-fontset-font t c alt-font)))
>
> This makes "Noto Sans Mono" the default face's font, so it will be
> used for any character supported by the font.  If that's what you see,
> then it's the intended behavior, AFAIK.

With '(setq use-default-font-for-symbols nil)', the glyphs are displayed
as I intended.

How can I find this variable?
And what characters are considered to be symbols and punctuation?